name: Build and Deploy Hugo

on:
  push:
    branches:
      - master
  pull_request:

jobs:
  deploy:
    runs-on: ubuntu-22.04
    steps:
      - uses: actions/checkout@v4
        with:
          submodules: true # Fetch Hugo themes (true OR recursive)
          fetch-depth: 0 # Fetch all history for .GitInfo and .Lastmod
      - name: Setup
        run: apt-get install hugo -y

      - name: Build
        run: hugo --minify

      - name: Deploy
        run: rsync -azvr public/* root@smokey:/var/www/alexselimov.com/
